MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000843XdebugUsage problems (Wrong Results)public2012-05-27 15:212012-05-28 18:41
Reporterdinu 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS Versionall
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0000843: Text output depends on php locale
DescriptionThe output in trace and profile logs depends line-by-line on php locale. I assume this holds true for any kind of output. Particularly important for machine-readable floating point format such as trace mode=1.
Steps To Reproduce<?php
  rand();
  setlocale(LC_ALL,'ro_RO');
  rand();
?>

You will notice that the decimal point becomes a comma in the middle of the trace log for instance.
TagsNo tags attached.
Operating SystemAll Unix-style systems should be affected, prolly Windows too
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0002196)
derick (administrator)
2012-05-28 09:19

I can reproduce this as well.
(0002211)
derick (administrator)
2012-05-28 18:41

Fixed on github, thanks for your report!

- Issue History
Date Modified Username Field Change
2012-05-27 15:21 dinu New Issue
2012-05-28 09:19 derick Target Version => 2.2.1
2012-05-28 09:19 derick Note Added: 0002196
2012-05-28 18:41 derick Note Added: 0002211
2012-05-28 18:41 derick Status new => closed
2012-05-28 18:41 derick Assigned To => derick
2012-05-28 18:41 derick Resolution open => fixed
2012-05-28 18:41 derick Fixed in Version => 2.2.1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker